Printago API
GET /v1/customizer/designs

List customizer designs

List submitted customizer designs for the store.

Requires: customizer.manage

Response Schema

CustomizerDesign[]
Array of CustomizerDesign, each with:
configIdrequired
string
pattern: ^[a-z0-9]{24}$
createdAtrequired
string
format: date-time
designJsonrequired
any
etsyReceiptIdrequirednullable
string
externalUrirequirednullable
string
fileSourcerequired
"internal" | "external_uri"
internalexternal_uri
finishrequirednullable
string
frameColorrequirednullable
string
idrequired
string
pattern: ^[a-z0-9]{24}$
shopifyOrderIdrequirednullable
string
storagePathrequirednullable
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
[
  {
    "configId": "string",
    "fileSource": "internal",
    "storagePath": "string",
    "externalUri": "string",
    "finish": "string",
    "frameColor": "string",
    "shopifyOrderId": "string",
    "etsyReceiptId": "string",
    "id": "string",
    "storeId": "string",
    "createdAt": "2025-01-15T12:00:00.000Z",
    "updatedAt": "2025-01-15T12:00:00.000Z"
  }
]